﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TankMovement : MonoBehaviour 
{    
	public float moveSpeed;
    public float rotationSpeed;
	Rigidbody rb;

	void Start ()
	{
		rb = GetComponent<Rigidbody>();
	}
	
	void FixedUpdate ()
	{
		float hor = Input.GetAxis("Horizontal");
		float ver = Input.GetAxis("Vertical");

		Vector3 move = transform.forward * ver * moveSpeed;
		move.y = rb.velocity.y;
		rb.velocity = move;
		transform.Rotate(new Vector3(0, hor * rotationSpeed, 0));
	}
}
